## mah-jong 1.6.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/jcb/newmj/RCS/Makefile.in,v 11.9 2002/01/07 21:45:29 jcb Rel $
+# $Header: /home/jcb/newmj/RCS/Makefile.in,v 11.14 2003/10/12 21:10:48 jcb Exp $
 # Master makefile for the xmj suite.
 
 ### NOTE NOTE NOTE
@@ -17,6 +17,10 @@
 all::
 
 ### Local configuration options. Read and edit as necessary.
+
+# This is not available in current public releases.
+# Uncomment the following line to build the table manager.
+# TableManager=1
 
 # The directory in which to find the tile pixmaps that are
 # compiled into the program. Beware of licensing considerations.
@@ -172,8 +176,15 @@
 	$(CP) $< $@
 	make depend
 
+# Autogenerated files to do with the table manager
+ifdef TableManager
+ TMAUTOGENS = enc_mcmsg.c enc_mpmsg.c dec_mcmsg.c dec_mpmsg.c mcmsg_union.h mcmsg_size.c mpmsg_union.h mpmsg_size.c mprotocol-enums.c mprotocol-enums.h
+else
+ TMAUTOGENS = 
+endif
+
 # This variable lists all the auto-generated program files.
-AUTOGENS = enc_cmsg.c enc_pmsg.c dec_cmsg.c dec_pmsg.c cmsg_union.h cmsg_size.c pmsg_union.h pmsg_size.c game-enums.c game-enums.h player-enums.c player-enums.h protocol-enums.c protocol-enums.h tiles-enums.c tiles-enums.h fbtiles.c version.h
+AUTOGENS = enc_cmsg.c enc_pmsg.c dec_cmsg.c dec_pmsg.c cmsg_union.h cmsg_size.c pmsg_union.h pmsg_size.c  game-enums.c game-enums.h player-enums.c player-enums.h protocol-enums.c protocol-enums.h  tiles-enums.c tiles-enums.h fbtiles.c version.h $(TMAUTOGENS)
 
 # This is a trick to make the auto-generated files be created
 # by make depend, if they're not already there. Otherwise the
@@ -182,7 +193,11 @@
 	echo Remade some auto-generated files
 
 # The programs
-PROGRAMS = xmj$(EXE) mj-server$(EXE) mj-player$(EXE)
+ifdef TableManager
+ PROGRAMS = xmj$(EXE) mj-server$(EXE) mj-player$(EXE) mj-manager$(EXE)
+else
+ PROGRAMS = xmj$(EXE) mj-server$(EXE) mj-player$(EXE)
+endif
 
 all:: $(PROGRAMS)
 
@@ -191,8 +206,8 @@
 SRCS1 = controller.c player.c tiles.c protocol.c game.c scoring.c sysdep.c
 OBJS1 = controller.o player.o tiles.o protocol.o game.o scoring.o sysdep.o
 
- OBJS = $(OBJS1) $(OBJS2) $(OBJS3)
- SRCS = $(SRCS1) $(SRCS2) $(SRCS3)
+ OBJS = $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4)
+ SRCS = $(SRCS1) $(SRCS2) $(SRCS3) $(SRCS4)
 
 mj-server$(EXE): $(OBJS1)
 	$(RM) $@
@@ -211,6 +226,31 @@
 	$(INSTALL) $(INSTALLFLAGS) $(INSTMANFLAGS) mj-server.man $(DESTDIR)$(MANDIR)/mj-server.$(MANSUFFIX)
 
 endif # Win32
+
+ifdef TableManager
+# The table manager. Requires mprotocol and sysdep
+SRCS4 = manager.c mprotocol.c sysdep.c
+OBJS4 = manager.o mprotocol.o sysdep.o
+
+mj-manager$(EXE): $(OBJS4)
+	$(RM) $@
+	$(CCLINK) -o $@ $(LDOPTIONS) $(OBJS4)  $(LDLIBS)  $(EXTRA_LOAD_FLAGS)
+
+ifndef Win32
+
+install:: mj-manager$(EXE)
+	@if [ -d $(DESTDIR)$(BINDIR) ]; then set +x; \
+	else (set -x; $(MKDIRHIER) $(DESTDIR)$(BINDIR)); fi
+	$(INSTALL) $(INSTALLFLAGS) $(INSTPGMFLAGS)  mj-manager$(EXE) $(DESTDIR)$(BINDIR)/mj-manager
+
+install.man:: mj-manager.man
+	@if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
+	else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
+	$(INSTALL) $(INSTALLFLAGS) $(INSTMANFLAGS) mj-manager.man $(DESTDIR)$(MANDIR)/mj-manager.$(MANSUFFIX)
+
+endif # Win32
+
+endif # TableManager
 
 # the greedy player
 
@@ -296,6 +336,26 @@
 pmsg_union.h pmsg_size.c: protocol.h proto-encode-msg.pl
 	$(PERL) proto-encode-msg.pl -pmsg
 
+enc_mcmsg.c: protocol.h proto-encode-msg.pl
+	$(PERL) proto-encode-msg.pl -mcmsg
+
+enc_mpmsg.c: protocol.h proto-encode-msg.pl
+	$(PERL) proto-encode-msg.pl -mpmsg
+
+dec_mcmsg.c: protocol.h proto-decode-msg.pl
+	$(PERL) proto-decode-msg.pl -mcmsg
+
+dec_mpmsg.c: protocol.h proto-decode-msg.pl
+	$(PERL) proto-decode-msg.pl -mpmsg
+
+# rules for the other auxiliary files
+# the commands will be executed twice, but never mind.
+mcmsg_union.h mcmsg_size.c: protocol.h proto-encode-msg.pl
+	$(PERL) proto-encode-msg.pl -mcmsg
+
+mpmsg_union.h mpmsg_size.c: protocol.h proto-encode-msg.pl
+	$(PERL) proto-encode-msg.pl -mpmsg
+
 # Rule for the enum parsing files:
 %-enums.h: %.h make-enums.pl
 	$(PERL) make-enums.pl $<
@@ -326,40 +386,3 @@
 clean::
 	$(RM) *.o core errs *~
 # DO NOT DELETE
-controller.o: controller.c controller.h tiles.h player.h player-enums.h \
-  protocol.h cmsg_union.h pmsg_union.h protocol-enums.h game.h \
-  game-enums.h scoring.h sysdep.h version.h
-player.o: player.c player.h tiles.h player-enums.h sysdep.h \
-  player-enums.c
-tiles.o: tiles.c tiles.h protocol.h player.h player-enums.h cmsg_union.h \
-  pmsg_union.h protocol-enums.h sysdep.h
-protocol.o: protocol.c protocol.h tiles.h player.h player-enums.h \
-  cmsg_union.h pmsg_union.h protocol-enums.h sysdep.h enc_cmsg.c \
-  dec_cmsg.c enc_pmsg.c dec_pmsg.c cmsg_size.c pmsg_size.c \
-  protocol-enums.c
-game.o: game.c game.h tiles.h player.h player-enums.h protocol.h \
-  cmsg_union.h pmsg_union.h protocol-enums.h game-enums.h sysdep.h \
-  game-enums.c
-scoring.o: scoring.c tiles.h player.h player-enums.h controller.h \
-  protocol.h cmsg_union.h pmsg_union.h protocol-enums.h game.h \
-  game-enums.h scoring.h sysdep.h
-sysdep.o: sysdep.c sysdep.h
-greedy.o: greedy.c client.h game.h tiles.h player.h player-enums.h \
-  protocol.h cmsg_union.h pmsg_union.h protocol-enums.h game-enums.h \
-  sysdep.h version.h
-client.o: client.c sysdep.h client.h game.h tiles.h player.h \
-  player-enums.h protocol.h cmsg_union.h pmsg_union.h protocol-enums.h \
-  game-enums.h
-player.o: player.c player.h tiles.h player-enums.h sysdep.h \
-  player-enums.c
-tiles.o: tiles.c tiles.h protocol.h player.h player-enums.h cmsg_union.h \
-  pmsg_union.h protocol-enums.h sysdep.h
-protocol.o: protocol.c protocol.h tiles.h player.h player-enums.h \
-  cmsg_union.h pmsg_union.h protocol-enums.h sysdep.h enc_cmsg.c \
-  dec_cmsg.c enc_pmsg.c dec_pmsg.c cmsg_size.c pmsg_size.c \
-  protocol-enums.c
-game.o: game.c game.h tiles.h player.h player-enums.h protocol.h \
-  cmsg_union.h pmsg_union.h protocol-enums.h game-enums.h sysdep.h \
-  game-enums.c
-sysdep.o: sysdep.c sysdep.h
-gui.o: gui.c gui.h lazyfixed.h sysdep.h vlazyfixed.h client.h game.h \
