## mah-jong 1.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/jcb/newmj/RCS/Makefile.in,v 11.14 2003/10/12 21:10:48 jcb Exp $
+# $Header: /home/jcb/newmj/RCS/Makefile.in,v 11.19 2006/01/18 22:48:16 jcb Exp $
 # Master makefile for the xmj suite.
 
 ### NOTE NOTE NOTE
@@ -17,6 +17,14 @@
 all::
 
 ### Local configuration options. Read and edit as necessary.
+
+### DON'T TOUCH THIS! The gtk+2 port is in progress, and does not
+### not work yet.
+# Which gtk+ version do you want?
+# this is for gtk+ 1.2
+# GTK_VERSION undefined  
+# this is for gtk+ 2.0
+# GTK_VERSION = 2.0  
 
 # This is not available in current public releases.
 # Uncomment the following line to build the table manager.
@@ -57,13 +65,16 @@
 CC = gcc
 
 # C debugging and optimization flags. 
-# In development, we turn on all reasonable warnings, thus:
-# CDEBUGFLAGS = -g -Wall -W -Wstrict-prototypes -Wmissing-prototypes
+# In development, we turn on all reasonable warnings.
 # However, in the production releases, we don't because other people's
 # code (e.g. glib) may provoke warnings.
 # Also, we do NOT enable optimization by default, because RedHat 6
 # Linux distributions have a seriously buggy C compiler.
+ifdef Warnings
+CDEBUGFLAGS = -g -Wall -W -Wstrict-prototypes -Wmissing-prototypes
+else
 CDEBUGFLAGS = -g
+endif
 # The -Wconversion flag is also useful to detect (more than usual)
 # abuse of enums, but it generates many superfluous warnings, so
 # is not on by default.
@@ -80,18 +91,22 @@
 DEFINES = -DTILESET='$(TILESET)' -DTILESETPATH='$(TILESETPATH)'
 endif
 
+ifdef GTK_VERSION
+GTKDEFINES = -DGTK2=1 -DGTK_ENABLE_BROKEN
+endif
+
 # Options for compiling.
 ifdef Win32
-# I assume you're using mingw. If you're using cygwin, you also
-# need -fno-cygwin.
-CCOPTIONS = -fnative-struct
+# this is suitable for recent mingw releases (the equivalent
+# of the old -fnative-struct)
+CCOPTIONS = -mms-bitfields
 endif
 
 # Extra libraries needed above whatever the system provides you with.
 # Things like -lnsl on Solaris are the most likely examples.
 ifdef Win32
 # We need the winsock libraries
-LDLIBS = -LC:/winnt/system32 -lwsock32
+LDLIBS =  -lwsock32
 else
 # Red Hat and Mandrake (and probably most other) Linux systems
 # need nothing, as any needed libraries are brought in for gtk anyway.
@@ -102,25 +117,39 @@
 # LDLIBS = -lm
 endif
 
+# some systems have buggy malloc/realloc etc, so we may use
+# Doug Lea's implementation. This is switched on for Windows
+# at the moment
+ifdef Win32
+MALLOCSRC = malloc.c
+MALLOCOBJ = malloc.o
+endif
+
 # The xmj program is built with gtk+, so it needs to know where the
 # libraries and headers are.
 ifdef Win32
-# You'll need to say explicitly where they are, as here:
-EXTRA_INCLUDES=-IC:/gtk/glib -IC:/gtk
+# You'll need to say explicitly where they are, as here, which is
+# a bit of a mess in my setup
+EXTRA_INCLUDES=-IC:/gtk/include/glib-2.0 -IC:/gtk/lib/glib-2.0/include -IC:/gtk/include -IC:/gtk/lib/gtk+/include
 # We also add the flag that makes xmj.exe be a GUI program
-GUILIBS=-LC:/gtk -lgtk-1.3 -lgdk-1.3 -lglib-1.3 -lgmodule-1.3 -Wl,-subsystem,windows
+GUILIBS=-LC:/gtk/lib -lgtk-0 -lgdk-0 -LC:/gtk/bin/ -lglib-2.0-0 -lgmodule-2.0-0 -mwindows
 else
 # Not Windows. If gtk+ is properly installed, this is all that's needed.
+ifdef GTK_VERSION
+EXTRA_INCLUDES=`pkg-config --cflags gtk+-$(GTK_VERSION)`
+GUILIBS=`pkg-config --libs gtk+-$(GTK_VERSION)`
+else
 EXTRA_INCLUDES=`gtk-config --cflags`
 GUILIBS=`gtk-config --libs`
 endif
+endif
 
 # We use gcc to link as well
 CCLINK = $(CC)
 
 # don't mess with these
 ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES)
-ALLDEFINES = $(ALLINCLUDES) $(EXTRA_DEFINES) $(DEFINES)
+ALLDEFINES = $(ALLINCLUDES) $(EXTRA_DEFINES) $(DEFINES) $(GTKDEFINES)
 CFLAGS = $(EXTRA_CFLAGS) $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
 LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS)
 
@@ -203,8 +232,8 @@
 
 # The controller target. Requires player, tiles, protocol, sysdep
 
-SRCS1 = controller.c player.c tiles.c protocol.c game.c scoring.c sysdep.c
-OBJS1 = controller.o player.o tiles.o protocol.o game.o scoring.o sysdep.o
+SRCS1 = controller.c player.c tiles.c protocol.c game.c scoring.c sysdep.c $(MALLOCSRC)
+OBJS1 = controller.o player.o tiles.o protocol.o game.o scoring.o sysdep.o $(MALLOCOBJ)
 
  OBJS = $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4)
  SRCS = $(SRCS1) $(SRCS2) $(SRCS3) $(SRCS4)
@@ -229,8 +258,8 @@
 
 ifdef TableManager
 # The table manager. Requires mprotocol and sysdep
-SRCS4 = manager.c mprotocol.c sysdep.c
-OBJS4 = manager.o mprotocol.o sysdep.o
+SRCS4 = manager.c mprotocol.c sysdep.c $(MALLOCSRC)
+OBJS4 = manager.o mprotocol.o sysdep.o $(MALLOCOBJ)
 
 mj-manager$(EXE): $(OBJS4)
 	$(RM) $@
@@ -254,8 +283,8 @@
 
 # the greedy player
 
-SRCS2 = greedy.c client.c player.c tiles.c protocol.c game.c sysdep.c
-OBJS2 = greedy.o client.o player.o tiles.o protocol.o game.o sysdep.o
+SRCS2 = greedy.c client.c player.c tiles.c protocol.c game.c sysdep.c $(MALLOCSRC)
+OBJS2 = greedy.o client.o player.o tiles.o protocol.o game.o sysdep.o $(MALLOCOBJ)
 
 mj-player$(EXE): $(OBJS2) $(DEPLIBS2)
 	$(RM) $@
@@ -286,8 +315,8 @@
 ICONOBJ =
 endif
 
-SRCS3 = gui.c gui-dial.c lazyfixed.c vlazyfixed.c client.c player.c tiles.c fbtiles.c protocol.c game.c sysdep.c
-OBJS3 = gui.o gui-dial.o client.o lazyfixed.o vlazyfixed.o player.o tiles.o fbtiles.o protocol.o game.o sysdep.o $(ICONOBJ)
+SRCS3 = gui.c gui-dial.c lazyfixed.c vlazyfixed.c client.c player.c tiles.c fbtiles.c protocol.c game.c sysdep.c $(MALLOCSRC)
+OBJS3 = gui.o gui-dial.o client.o lazyfixed.o vlazyfixed.o player.o tiles.o fbtiles.o protocol.o game.o sysdep.o $(MALLOCOBJ) $(ICONOBJ)
 
 xmj$(EXE): $(OBJS3) $(DEPLIBS3)
 	$(RM) $@
@@ -349,40 +378,3 @@
 	$(PERL) proto-decode-msg.pl -mpmsg
 
 # rules for the other auxiliary files
-# the commands will be executed twice, but never mind.
-mcmsg_union.h mcmsg_size.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -mcmsg
-
-mpmsg_union.h mpmsg_size.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -mpmsg
-
-# Rule for the enum parsing files:
-%-enums.h: %.h make-enums.pl
-	$(PERL) make-enums.pl $<
-
-%-enums.c: %.h make-enums.pl
-	$(PERL) make-enums.pl $<
-
-# distclean also removes the auto-generated files and the Makefile
-distclean:: clean
-	$(RM) Makefile $(AUTOGENS)
-
-# used to build a source release
-textdocs:: use.txt rules.txt
-
-use.txt rules.txt: xmj.man
-	$(RM) use.txt rules.txt
-	$(PERL) maketxt xmj.man
-	chmod 444 use.txt rules.txt
-
-
-
-depend::
-	$(DEPEND) $(DEPENDFLAGS) -- $(ALLDEFINES) $(DEPEND_DEFINES) -- $(SRCS)
-
-clean::
-	$(RM) $(PROGRAMS)
-
-clean::
-	$(RM) *.o core errs *~
-# DO NOT DELETE
