## mah-jong 1.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/jcb/newmj/RCS/Makefile.in,v 11.19 2006/01/18 22:48:16 jcb Exp $
+# $Header: /home/jcb/newmj/RCS/Makefile.in,v 11.21 2006/01/26 21:00:13 jcb Exp $
 # Master makefile for the xmj suite.
 
 ### NOTE NOTE NOTE
@@ -284,11 +284,24 @@
 # the greedy player
 
 SRCS2 = greedy.c client.c player.c tiles.c protocol.c game.c sysdep.c $(MALLOCSRC)
+SRCS2A = client.c player.c tiles.c protocol.c game.c sysdep.c $(MALLOCSRC)
 OBJS2 = greedy.o client.o player.o tiles.o protocol.o game.o sysdep.o $(MALLOCOBJ)
+OBJS2A = client.o player.o tiles.o protocol.o game.o sysdep.o $(MALLOCOBJ)
 
 mj-player$(EXE): $(OBJS2) $(DEPLIBS2)
 	$(RM) $@
 	$(CCLINK) -o $@ $(LDOPTIONS) $(OBJS2)  $(LDLIBS)  $(EXTRA_LOAD_FLAGS)
+
+ga: ga.o $(OBJS2A) $(DEPLIBS2)
+	$(RM) $@
+	$(CCLINK) -o $@ $(LDOPTIONS) ga.o $(OBJS2A)  $(LDLIBS)  $(EXTRA_LOAD_FLAGS)
+
+# generic greedy variants
+greedy-%.o: greedy-%.c $(SRCS2A)
+
+greedy-%: greedy-%.o $(OBJS2A)
+	$(RM) $@
+	$(CCLINK) -o $@ $(LDOPTIONS) $< $(OBJS2A)  $(LDLIBS)  $(EXTRA_LOAD_FLAGS)
 
 ifndef Win32
 
@@ -362,19 +375,3 @@
 cmsg_union.h cmsg_size.c: protocol.h proto-encode-msg.pl
 	$(PERL) proto-encode-msg.pl -cmsg
 
-pmsg_union.h pmsg_size.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -pmsg
-
-enc_mcmsg.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -mcmsg
-
-enc_mpmsg.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -mpmsg
-
-dec_mcmsg.c: protocol.h proto-decode-msg.pl
-	$(PERL) proto-decode-msg.pl -mcmsg
-
-dec_mpmsg.c: protocol.h proto-decode-msg.pl
-	$(PERL) proto-decode-msg.pl -mpmsg
-
-# rules for the other auxiliary files
