## mah-jong 1.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/jcb/newmj/RCS/Makefile.in,v 11.21 2006/01/26 21:00:13 jcb Exp $
+# $Header: /home/jcb/MahJong/newmj/RCS/Makefile.in,v 12.1 2009/07/10 07:55:51 jcb Rel $
 # Master makefile for the xmj suite.
 
 ### NOTE NOTE NOTE
@@ -11,6 +11,12 @@
 ### As far as I know, the only other non-portable feature is the
 ### use of %-pattern rules, but they occur in many makes.
 
+# Options can be passed by setting variables from the command line:
+# pass   Gtk=   to build with Gtk+1.2
+# pass   Win32=1  to build with MinGW on Win32 without MSYS
+# pass   Win32=2  to build with MinGW and MSYS
+# pass   Warnings=1  to switch on almost all compiler warnings
+
 # The things you are most likely to change come first!
 
 # first target: don't change!
@@ -18,13 +24,11 @@
 
 ### Local configuration options. Read and edit as necessary.
 
-### DON'T TOUCH THIS! The gtk+2 port is in progress, and does not
-### not work yet.
 # Which gtk+ version do you want?
-# this is for gtk+ 1.2
-# GTK_VERSION undefined  
-# this is for gtk+ 2.0
-# GTK_VERSION = 2.0  
+# If you're using GTK+ 1.2, set Gtk to be empty
+# Gtk =
+# if you're using GTK+ 2.n, for ANY n, set Gtk to be 2.0 .
+Gtk = 2.0
 
 # This is not available in current public releases.
 # Uncomment the following line to build the table manager.
@@ -70,6 +74,9 @@
 # code (e.g. glib) may provoke warnings.
 # Also, we do NOT enable optimization by default, because RedHat 6
 # Linux distributions have a seriously buggy C compiler.
+# I thought the preceding comment should be deleted...but in 2009,
+# SuSE ships with a seriously buggy C compiler (gcc 4.3). So I'll
+# just leave optimization switched off.
 ifdef Warnings
 CDEBUGFLAGS = -g -Wall -W -Wstrict-prototypes -Wmissing-prototypes
 else
@@ -84,15 +91,19 @@
 
 # Defines for the compilation.
 ifdef Win32
+WINDEFINES = -DWIN32=1
+endif
+
+ifeq ($(Win32),2)
 # This doesn't work if one tries to set these. Does anybody know
 # how to get a double quote through DOS or whatever to gcc ?
-DEFINES = -DTILESET=$(TILESET) -DTILESETPATH=$(TILESETPATH) -DWIN32=1
-else
-DEFINES = -DTILESET='$(TILESET)' -DTILESETPATH='$(TILESETPATH)'
-endif
-
-ifdef GTK_VERSION
-GTKDEFINES = -DGTK2=1 -DGTK_ENABLE_BROKEN
+DEFINES = -DTILESET=$(TILESET) -DTILESETPATH=$(TILESETPATH) $(WINDEFINES)
+else
+DEFINES = -DTILESET='$(TILESET)' -DTILESETPATH='$(TILESETPATH)' $(WINDEFINES)
+endif
+
+ifdef Gtk
+GTKDEFINES = -DGTK2=1
 endif
 
 # Options for compiling.
@@ -128,16 +139,23 @@
 # The xmj program is built with gtk+, so it needs to know where the
 # libraries and headers are.
 ifdef Win32
+ifdef Gtk
+# should be the same as unix, if it can find pkg-config
+EXTRA_INCLUDES=$(shell pkg-config --cflags gtk+-$(Gtk))
+# We also add the flag that makes xmj.exe be a GUI program
+GUILIBS=$(shell pkg-config --libs gtk+-$(Gtk)) -mwindows
+else
 # You'll need to say explicitly where they are, as here, which is
 # a bit of a mess in my setup
 EXTRA_INCLUDES=-IC:/gtk/include/glib-2.0 -IC:/gtk/lib/glib-2.0/include -IC:/gtk/include -IC:/gtk/lib/gtk+/include
 # We also add the flag that makes xmj.exe be a GUI program
 GUILIBS=-LC:/gtk/lib -lgtk-0 -lgdk-0 -LC:/gtk/bin/ -lglib-2.0-0 -lgmodule-2.0-0 -mwindows
+endif
 else
 # Not Windows. If gtk+ is properly installed, this is all that's needed.
-ifdef GTK_VERSION
-EXTRA_INCLUDES=`pkg-config --cflags gtk+-$(GTK_VERSION)`
-GUILIBS=`pkg-config --libs gtk+-$(GTK_VERSION)`
+ifdef Gtk
+EXTRA_INCLUDES=`pkg-config --cflags gtk+-$(Gtk)`
+GUILIBS=`pkg-config --libs gtk+-$(Gtk)`
 else
 EXTRA_INCLUDES=`gtk-config --cflags`
 GUILIBS=`gtk-config --libs`
@@ -154,7 +172,7 @@
 LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS)
 
 # various auxiliary program and settings.
-ifndef Win32
+ifeq ($(Win32),)
 # GNU make, we hope
 MAKE = make
 CP = cp -f
@@ -174,11 +192,13 @@
 INSTPGMFLAGS = -s
 INSTMANFLAGS = -m 0444
 else
-# Windows
+ifeq ($(Win32),1)
+# Windows with mingw but not msyste
 # GNU make, we hope
 MAKE = make
 CP = xcopy
-RM = rm /f
+# suppress errors, since del complains if file not there to remove
+RM = -del /f
 # we don't have a makedepend on windows ...
 DEPEND =
 DEPENDFLAGS =
@@ -192,8 +212,26 @@
 INSTALLFLAGS = 
 INSTPGMFLAGS = 
 INSTMANFLAGS = 
-endif
-
+else
+# windows with msys
+MAKE = make
+CP = cp -f
+RM = rm -f
+# we don't have a makedepend on windows ...
+DEPEND =
+DEPENDFLAGS =
+# perl is needed for generating several files
+PERL = perl
+# suffix of executables
+EXE = .exe
+# programs used in installation: not in windows
+MKDIRHIER = 
+INSTALL = 
+INSTALLFLAGS = 
+INSTPGMFLAGS = 
+INSTMANFLAGS = 
+endif
+endif
 ### There should be no need to edit after this point,
 ### unless you're using a non-GNU make.
 
@@ -340,38 +378,3 @@
 	else (set -x; $(MKDIRHIER) $(DESTDIR)$(BINDIR)); fi
 	$(INSTALL) $(INSTALLFLAGS) $(INSTPGMFLAGS)  xmj$(EXE) $(DESTDIR)$(BINDIR)/xmj
 
-install.man:: xmj.man
-	@if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
-	else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
-	$(INSTALL) $(INSTALLFLAGS) $(INSTMANFLAGS) xmj.man $(DESTDIR)$(MANDIR)/xmj.$(MANSUFFIX)
-
-# version.h is now made from version.h.in by the release script.
-# so if we are not making a release, we'd better provide it if
-# it isn't there.
-version.h:
-	cp version.h.in $@
-	chmod u+w $@
-
-# rule to generate the fallback tiles
-fbtiles.c: $(FALLBACKTILES) makefallbacktiles Makefile
-	$(PERL) makefallbacktiles $(FALLBACKTILES) >fbtiles.c
-
-# Rules for the auto generated files
-
-enc_cmsg.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -cmsg
-
-enc_pmsg.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -pmsg
-
-dec_cmsg.c: protocol.h proto-decode-msg.pl
-	$(PERL) proto-decode-msg.pl -cmsg
-
-dec_pmsg.c: protocol.h proto-decode-msg.pl
-	$(PERL) proto-decode-msg.pl -pmsg
-
-# rules for the other auxiliary files
-# the commands will be executed twice, but never mind.
-cmsg_union.h cmsg_size.c: protocol.h proto-encode-msg.pl
-	$(PERL) proto-encode-msg.pl -cmsg
-
