## mah-jong 1.11

=== debian/changelog ===
mah-jong (1.11-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:34:00 +0000

mah-jong (1.11-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Split the big monolithic patch into several patches managed with
    quilt.
  * debian/control: Add a Homepage field.
  * debian/compat: Switch to debhelper compatibility version 8.
    - debian/control: Update the Build-Depends accordingly.
    - debian/rules: No need to manually remove build-stamp and any more in
      the clean target.
    - debian/rules: Replace the call to "dh_clean -k" (deprecated) with a
      call to dh_prep.

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 03 Jan 2012 00:31:07 +0100

mah-jong (1.11-1) unstable; urgency=low

  * New upstream release.
  * xmj.man: remove an URL that appeared illegitimately in the manpage.
  * Makefile.in, Makefile: Add -lm to GUILIBS to ensure xmj builds
    properly with binutils-gold. Thanks to Peter Fritzsche for pointing
    the problem. (Closes: #555582)
  * debian/rules, Makefile: Exclude the header files for gtk from the
    dependencies hardcoded into the Makefile. This is necessary because
    the path of a few of those header files is now
    architecture-dependant. Thanks to peter green for pointing the problem
    and for suggesting a patch. (Closes: #651585)
  * debian/rules: add targets build-arch and build-indep, as suggested by
    lintian.
  * debian/watch: Update, thanks to Yan Morin. (Closes: #550785)
  * debian/README.Debian: Update the URL for donations to the author.
  * debian/control: Add ${misc:Depends} to the Depends field, as suggested
    by lintian.
  * debian/control: Bump Standards-Version: to 3.9.2.
  * debian/control: Remove the article at the beginning of the description.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 22 Dec 2011 16:14:56 +0100

mah-jong (1.10-1) unstable; urgency=low

  * The "Thanks Barry for all your work" release.
  * Put the manpages back in section 6.
  * Run debian/rules new-upstream.
  * Make the list of required shared libraries for GTK explicit, and don't
    link with unneeded shared libraries.

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 07 Aug 2009 22:56:54 +0200

mah-jong (1.10-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #523729).
    + Builds with GTK2. (Closes: #515348).
    + Update libgtk1.2-dev build-dep to libgtk2.0-dev.
  * Add .desktop file. (Closes: #493748).
  * Replace pwd with $(CURDIR) in rules.
  * Bump debhelper and compat to 5.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 28 Jul 2009 12:44:50 -0400

mah-jong (1.8-1) unstable; urgency=low

  * New upstream release.
  * Don't strip on program installation; rely on dh_strip to strip unless
    requested by the nostrip build option. (Closes: #437549)
  * Don't ignore failures of "make clean", as suggested by lintian.

 -- Nicolas Boullis <nboullis@debian.org>  Wed,  5 Sep 2007 00:55:41 +0200

mah-jong (1.7-2) unstable; urgency=low

  * Don't link with unneeded shared libraries.

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 30 Oct 2006 22:34:02 +0100

mah-jong (1.7-1) unstable; urgency=low

  * The "upstream is working on GTK2 support" release.
  * New upstream release.
  * Switch to the debhelper compatibility version 4.
  * Bump Standards-Version: to 3.7.2.

 -- Nicolas Boullis <nboullis@debian.org>  Mon,  8 May 2006 22:34:58 +0200

mah-jong (1.6.3-2) unstable; urgency=low

  * Remove the old http://www.dcs.ed.ac.uk/home/jcb/MahJong/ URL from
    xmj's manpage since it is not available anymore (and leads to a
    "cannot adjust line" warning by groff).
  * Bump Standards-Version: to 3.6.2.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 20 Nov 2005 20:29:15 +0100

mah-jong (1.6.3-1) unstable; urgency=low

  * New upstream release.
  * Update changelog entry for 1.6.2-1 (about fixed DOS).

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 24 May 2004 02:13:34 +0200

mah-jong (1.6.2-1) unstable; urgency=low

  * New upstream release.
    - Fix DOS in mj-server by connecting with an empty name.
      (CAN-2004-0458)
  * Add missing quotes around strings in menu item; thanks to lintian for
    reporting the problem.
  * Fix a misplaced test in player.c .

 -- Nicolas Boullis <nboullis@debian.org>  Sat,  8 May 2004 14:49:02 +0200

mah-jong (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 12 Oct 2003 19:03:27 +0200

mah-jong (1.5.6-2) unstable; urgency=high

  * Urgency set to high because of security issues.
  * Fix remotely exploitable buffer overflows. (CAN-2003-0705)
  * Fix denial of service due to broken handling of escaping. (CAN-2003-0706)
  * Fix handling of escaping.
  * Remove unused and potentially dangerous code in proto-encode-msg.pl
    and proto-decode-msg.pl.
  * Bump Standards-Version: to 3.6.1.

 -- Nicolas Boullis <nboullis@debian.org>  Sun,  7 Sep 2003 22:29:46 +0200

mah-jong (1.5.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version: to 3.6.0.

 -- Nicolas Boullis <nboullis@debian.org>  Wed, 16 Jul 2003 18:42:28 +0200

mah-jong (1.5.5-2) unstable; urgency=low

  * Fixed long description thanks to Colin Watson.
  * Bump Standards-Version: to 3.5.10.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 25 May 2003 02:47:18 +0200

mah-jong (1.5.5-1) unstable; urgency=low

  * New upstream release. (1.5.4 skipped.)
  * Write a new "new-upstream" target for debian/rules to rebuild the
    auto-generated files.

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 11 Apr 2003 22:48:08 +0200

mah-jong (1.5.3-1) unstable; urgency=low

  * The "upstream is really too fast for me" release.
  * New upstream release.
  * Rebuild the auto-generated program files. Because I forgot to do this,
    xmj was complaining about "Unknown option"...

