=== debian/control ===
Source: mah-jong
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Boullis <nboullis@debian.org>
Build-Depends: debhelper (>= 8.0.0), libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://mahjong.julianbradfield.org/

Package: mah-jong
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Original Mah-Jong game
 This is a set of programs to play the original Mah-Jong game: one
 server, one client for a human player and one client for an AI
 player. Hence the game can be played by 1 to 4 human players.
 .
 You should keep in mind that the original Mah-Jong game has nothing
 to do with the well-known solitaire game. (It merely uses the same
 set of tiles.)
 .
 If you like the game, please consider making a donation to the
 (upstream) author. Read /usr/share/doc/mah-jong/README.Debian for
 details.
