=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CCOPTIONS = "-O0 -Wall"
else
CCOPTIONS = "-O2 -Wall"
endif

new-upstream:
	cp version.h version.h.sav
	make distclean
	mv version.h.sav version.h
	make -f Makefile.in Makefile
	make EXTRA_INCLUDES="`pkg-config --cflags gtk+-2.0 | sed -e 's/-I/-isystem/g'`" depend
	rm Makefile.bak

build: build-arch build-indep
build-indep:
# We have nothing to do.
build-arch: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CCOPTIONS=$(CCOPTIONS) CDEBUGFLAGS="-g" TILESETPATH=\""/usr/share/mah-jong"\"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mah-jong/ BINDIR=usr/games INSTPGMFLAGS=
	$(MAKE) install.man DESTDIR=$(CURDIR)/debian/mah-jong/ MANDIR=usr/share/man/man6
	for tileset in fallbacktiles tiles-v1 tiles-numbered tiles-small; do \
	  install -d $(CURDIR)/debian/mah-jong/usr/share/mah-jong/$${tileset}; \
	  install -m 644 $${tileset}/* $(CURDIR)/debian/mah-jong/usr/share/mah-jong/$${tileset}; \
	done


binary-indep:
# We have nothing to do.

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_install debian/mah-jong.desktop usr/share/applications
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install-arch configure
