=== debian/watch ===
version=3
http://mahjong.julianbradfield.org/Source/mj-([0-9.]*)-src\.tar\.gz debian uupdate
