## mah-jong 1.16

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/jcb/MahJong/newmj/RCS/Makefile.in,v 12.1 2009/07/10 07:55:51 jcb Rel $
+# $Header: /home/jcb/MahJong/newmj/RCS/Makefile.in,v 12.3 2020/05/26 09:33:53 jcb Exp $
 # Master makefile for the xmj suite.
 
 ### NOTE NOTE NOTE
@@ -15,6 +15,7 @@
 # pass   Gtk=   to build with Gtk+1.2
 # pass   Win32=1  to build with MinGW on Win32 without MSYS
 # pass   Win32=2  to build with MinGW and MSYS
+# pass   Win32=3  to cross-compile on Linux for MinGW
 # pass   Warnings=1  to switch on almost all compiler warnings
 
 # The things you are most likely to change come first!
@@ -57,6 +58,11 @@
 MANDIR = man/man1
 # and the appropriate suffix is 1
 MANSUFFIX = 1
+
+# if you are cross-compiling from Linux to Windows,
+# MGW should be the root of your MinGW hierarchy for the GTK libraries
+MGW=/home/jcb/MinGW
+
 
 ### End of local configuration.
 
@@ -139,6 +145,12 @@
 # The xmj program is built with gtk+, so it needs to know where the
 # libraries and headers are.
 ifdef Win32
+ifeq ($(Win32),3)
+EXTRA_DEFINES=-DXCOMPILE=1
+CC=i686-w64-mingw32-gcc
+EXTRA_INCLUDES=-I$(MGW)/include/glib-2.0 -I$(MGW)/include/gtk-2.0 -I$(MGW)/include/pango-1.0 -I$(MGW)/include/cairo -I$(MGW)/lib/glib-2.0/include -I$(MGW)/lib/gtk-2.0/include -I$(MGW)/include/gdk-pixbuf-2.0 -I$(MGW)/include/atk-1.0
+GUILIBS=-L$(MGW)/lib -lgtk-win32-2.0 -lgdk-win32-2.0 -lgdk_pixbuf-2.0 -lglib-2.0 -lgobject-2.0 -mwindows
+else
 ifdef Gtk
 # should be the same as unix, if it can find pkg-config
 EXTRA_INCLUDES=$(shell pkg-config --cflags gtk+-$(Gtk))
@@ -151,14 +163,16 @@
 # We also add the flag that makes xmj.exe be a GUI program
 GUILIBS=-LC:/gtk/lib -lgtk-0 -lgdk-0 -LC:/gtk/bin/ -lglib-2.0-0 -lgmodule-2.0-0 -mwindows
 endif
+endif
 else
 # Not Windows. If gtk+ is properly installed, this is all that's needed.
+# except that gtk no longer pulls in -lm 
 ifdef Gtk
 EXTRA_INCLUDES=`pkg-config --cflags gtk+-$(Gtk)`
-GUILIBS=`pkg-config --libs gtk+-$(Gtk)`
+GUILIBS=`pkg-config --libs gtk+-$(Gtk)` -lm
 else
 EXTRA_INCLUDES=`gtk-config --cflags`
-GUILIBS=`gtk-config --libs`
+GUILIBS=`gtk-config --libs` -lm
 endif
 endif
 
@@ -358,23 +372,6 @@
 # the gui
 
 ifdef Win32
-# the icon resource file and object
-ICONOBJ = iconres.o
-iconres.o: iconres.rs icon.ico
-	windres iconres.rs iconres.o
-else
-ICONOBJ =
-endif
-
-SRCS3 = gui.c gui-dial.c lazyfixed.c vlazyfixed.c client.c player.c tiles.c fbtiles.c protocol.c game.c sysdep.c $(MALLOCSRC)
-OBJS3 = gui.o gui-dial.o client.o lazyfixed.o vlazyfixed.o player.o tiles.o fbtiles.o protocol.o game.o sysdep.o $(MALLOCOBJ) $(ICONOBJ)
-
-xmj$(EXE): $(OBJS3) $(DEPLIBS3)
-	$(RM) $@
-	$(CCLINK) -o $@ $(LDOPTIONS) $(OBJS3) $(GUILIBS) $(LDLIBS)  $(EXTRA_LOAD_FLAGS)
-
-install:: xmj$(EXE)
-	@if [ -d $(DESTDIR)$(BINDIR) ]; then set +x; \
-	else (set -x; $(MKDIRHIER) $(DESTDIR)$(BINDIR)); fi
-	$(INSTALL) $(INSTALLFLAGS) $(INSTPGMFLAGS)  xmj$(EXE) $(DESTDIR)$(BINDIR)/xmj
-
+ifeq ($(Win32),3)
+WR = i686-w64-mingw32-windres
+else
