=== debian/changelog ===
mah-jong (1.16-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:04 +1100

mah-jong (1.16-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:39:15 +0000

mah-jong (1.16-1) unstable; urgency=medium

  * New Maintainer: xiao sheng wen (Closes: #1050172)
  * New upstream version (Closes: #815329)
  * routine-update
    - Standards-Version: 4.6.2
    - debhelper-compat 13
    - Rules-Requires-Root: no
    - Trim trailing whitespace.
    - Use secure URI in Homepage field.
    - watch file standard 4
  * debian/patches
    - update manpages_section_6 and add Forwarded: not-needed
    - add cross.patch: Make pkg-config substitutable,
      Fix FTCBFS: (Closes: #901469)
    - add Makefile.in.Hardening.patch
    - add gui.c-fix-typo.patch
    - refresh for new upstream version
  * add d/clean for clean debian/mah-jongbin/
  * add d/install
  * add d/u/metadata
  * add d/lintian-overrides
  * add d/mah-jong.xpm icon (Closes: #737970)
  * d/mah-jong.desktop: add Keywords
  * d/README.Debian: update to use upstream homepage as donation url
  * d/control: add Vcs-Browser Vcs-Git url
  * d/copyright: update format to Machine-readable dep5
  * d/rules: update to debhelper-compat 13
  * d/watch: fix debian-watch-uses-insecure-uri
  * remove d/menu, useless
  * Run wrap-and-sort -asbkt

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 12 Sep 2023 21:41:15 +0800
