=== debian/control ===
--- 
+++ 
@@ -2,14 +2,22 @@
 Section: games
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Boullis <nboullis@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libgtk2.0-dev
-Standards-Version: 3.9.2
-Homepage: http://mahjong.julianbradfield.org/
+XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Build-Depends:
+ debhelper-compat (= 13),
+ libgtk2.0-dev,
+ pkgconf,
+Standards-Version: 4.6.2
+Homepage: https://mahjong.julianbradfield.org/
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/atzlinux-guest/mah-jong
+Vcs-Git: https://salsa.debian.org/atzlinux-guest/mah-jong.git
 
 Package: mah-jong
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Original Mah-Jong game
  This is a set of programs to play the original Mah-Jong game: one
  server, one client for a human player and one client for an AI
