=== debian/watch ===
version=4
https://mahjong.julianbradfield.org/Source/mj-([0-9.]*)-src\.tar\.gz debian uupdate
